---
layout: page
title: Alpaca Support
#tagline: Easy Forms for jQuery
sitemap:
  priority: 1.0
---
{% include JB/setup %}

Our engineering team offers production support, development, consulting services and migration advice
as you support Alpaca forms within your own applications.  We offer a service-level agreement, rapid issue turnaround
and an opportunity to drive the technology roadmap.

<br/>

<div class="container-fluid">

    <div class="row">
        <div class="col-md-7">

            <ul class="media-list">

                <!-- Production Support -->
                <li class="media">
                    <a class="pull-left" href="#">
                        <img class="media-object" src="/images/icons/support-64.png" alt="Production Support">
                    </a>
                    <div class="media-body">
                        <h4 class="media-heading">Production Support</h4>
                        <p>
                            Cloud CMS offers production support with a service-level agreement that is catered to
                            the needs of your team and your project.  Production support includes bug fixes,
                            feature prioritization and roadmap visibility as we plan out each release of Alpaca.
                        </p>
                        <p>
                            Alpaca Production Support starts at $50 / month.
                        </p>
                    </div>
                </li>

                <!-- Development -->
                <li class="media">
                    <a class="pull-left" href="#">
                        <img class="media-object" src="/images/icons/consulting-64.png" alt="Development">
                    </a>
                    <div class="media-body">
                        <h4 class="media-heading">Development</h4>
                        <p>
                            Cloud CMS assists companies with the development and deployment for forms for a variety of
                            web and mobile applications.  Our consultants are experts at Alpaca as well as many other
                            front-end technologies such as jQuery, AngularJS, Node.js, Android and iOS.
                        </p>
                    </div>
                </li>

                <!-- Technical Advisory -->
                <li class="media">
                    <a class="pull-left" href="#">
                        <img class="media-object" src="/images/icons/advisory-64.png" alt="Technical Advisory">
                    </a>
                    <div class="media-body">
                        <h4 class="media-heading">Technical Advisory</h4>
                        <p>
                            Cloud CMS offers technical and architectural guidance to development teams building
                            mobile and web applications on modern stacks.  We will work with your team to advise on
                            the modeling and delivery of your forms.
                        </p>
                    </div>
                </li>

                <!-- Training -->
                <li class="media">
                    <a class="pull-left" href="#">
                        <img class="media-object" src="/images/icons/training-64.png" alt="Training">
                    </a>
                    <div class="media-body">
                        <h4 class="media-heading">Training</h4>
                        <p>
                            Cloud CMS offers developer training for teams working with Alpaca.  Topics include
                            schema modeling, custom layouts, the development of extension controls and all aspects
                            of Alpaca customization.  Training is available both on-site and remotely.
                        </p>
                    </div>
                </li>

            </ul>

        </div>
        <div class="col-md-5 well">
            <div id="contactus"></div>
        </div>
    </div>

</div>

<script type="text/javascript" src="{{ BASE_PATH }}/js/contact.js"></script>


